# Interface MonitorWaitEvent

All Superinterfaces:
  `Event, Locatable, LocatableEvent, Mirror`

public interface MonitorWaitEvent extends LocatableEvent
Notification that a thread in the target VM is about to wait on a monitor object.

Since:
  1.6
See Also:
  - `EventQueue`
  - `MonitorWaitedEvent`

## Method Summary

Modifier and Type
Method
Description
`ObjectReference`
`monitor()`
Returns the monitor object that the thread about to wait.
`ThreadReference`
`thread()`
Returns the thread in which monitor wait event has occurred.
`long`
`timeout()`
Returns the number of millisecond the thread will wait.

### Methods declared in interface Event

`request`
Modifier and Type
Method
Description
`EventRequest`
`request()`

### Methods declared in interface Locatable

`location`
Modifier and Type
Method
Description
`Location`
`location()`
Returns the `Location` of this mirror, if there is executable code associated with it.

### Methods declared in interface Mirror

`toString, virtualMachine`
Modifier and Type
Method
Description
`String`
`toString()`
Returns a String describing this mirror
`VirtualMachine`
`virtualMachine()`
Gets the VirtualMachine to which this Mirror belongs.

## Method Details

### thread

ThreadReference thread()
Returns the thread in which monitor wait event has occurred.

Specified by:
  `thread` in interface `LocatableEvent`
Returns:
  a `ThreadReference` which mirrors the event's thread in the target VM.

### monitor

ObjectReference monitor()
Returns the monitor object that the thread about to wait.

Returns:
  an `ObjectReference` for the monitor.

### timeout

long timeout()
Returns the number of millisecond the thread will wait.

Returns:
  a `jlong` containing monitor wait time in milliseconds.